   ******************;
   * HEALTH CONDITIONS AND ADL/IADLS, WAVE 3;
   ******************;

	* ADLs;
   f2424=sum(of f2424_1-f2424_10);

   if f2424 ne 0 then do;
       if f2425 not in(.,8,9) then dress3=(f2425 in(1,6));
       end;
   else if f2424=0 then do;
       dress3 =0;
       end;

   * note : this is different from wave 2;
   if ^(f2424=0 or (f2424=1 and f2425=5)) then do;
       if f2427 not in(.,8,9) then walk3=(f2427 in(1,6));
       if f2444 not in(.,8,9) then bathe3=(f2444 in(1,6));
       if f2454 not in(.,8,9) then eat3=(f2454 in(1,6));
       if f2464 not in(.,8,9) then bed3=(f2464 in(1,6));
       if f2477 not in(.,8,9) then toilet3=(f2477 in(1,6));
       end;
   else if (f2424=0 or (f2424=1 and f2425=5)) then do;
       walk3  =0;
       bathe3 =0;
       eat3   =0;
       bed3   =0;
       toilet3=0;
    end;

   array adls3{6} walk3 dress3 bathe3 eat3 bed3 toilet3;
   if nmiss(of adls3{*})=0 then numadl3=sum(of adls3{*});
   
   drop f2424;
   
   if f2562 not in(.,8,9) then meals3=(f2562 in(1,6));
   if f2567 not in(.,8,9) then groc3=(f2567 in(1,6));
   if f2572 not in(.,8,9) then phone3=(f2572 in(1,6));
   if f2577 not in(.,8,9) then meds3=(f2577 in(1,6));
   if f2618 not in(.,8,9) then money3=(f2618 in(1,6));

   array iadl3{5} meals3 groc3 phone3 meds3 money3;
   if nmiss(of iadl3{*})=0 then  numiadl3=sum(of iadl3{*});
	
  label
      numadl3 	= '# ADLs, w3'
      numiadl3	= '# IADLs, w3'
      walk3	= 'difficulty walking, w3'	
      dress3  	= 'difficulty dressing, w3' 
      bathe3	= 'difficulty bathing, w3'
      eat3	= 'difficulty eating, w3'
      bed3	= 'difficulty in&out of bed, w3'
      toilet3	= 'difficulty toileting, w3'
      meals3	= 'difficulty hot meals, w3'
      groc3	= 'difficulty grocery shop, w3'
      phone3	= 'difficulty using phone, w3'
      meds3	= 'difficulty taking meds, w3'
      money3	= 'difficulty managing money, w3'
;
