

   * MEMORY VARIABLES;
 if proxy3=1 then do;	
    if f1479 not in(.,8,9) then do;
      memnow3 =    1*(f1479=5) 
                 + 2*(f1479=4)
                 + 3*(f1479=3)
                 + 4*(f1479=2)
                 + 5*(f1479=1);
      end;
         
  memch3=f1480;
  end;
          
else if proxy3 in(2,3) then do;
    if f1373 not in(.,8,9) then do;
        memnow3 = 1*(f1373=5) 
            + 2*(f1373=4)
            + 3*(f1373=3)
            + 4*(f1373=2)
            + 5*(f1373=1);
        end;
    
      **note: in w3, there is more than one memory comparison q;
      *    for proxy respondent. The variable used below is the;
      *    first memory question;
         
    memch3=f1389;   
         
    end;

if memch3 not in(.,8,9) then do;  
    membett3 = (memch3=1);
    memsame3 = (memch3=2);
    memwors3 = (memch3=3);
    end;

label
    memnow3  = 'rate memory 1=pr 5=ex, w3'
    memch3   = 'mem change past yr 1=bet 3=wrs, w3'
    membett3 = 'mem better than 1yr ago, w3'
    memsame3 = 'mem same as 1 yrs ago, w3'
    memwors3 = 'mem worse than 1yr ago, w3'
    ;


   * cognition;

if proxy3=1 then do;
    
        * TICSR scale;
    ticsr3=0;
    array ticsr{8} f1645 f1646 f1647 f1648 f1649 f1650 f1651 f1652;
    do i=1 to 8;
        if ticsr{i} ne . then do;
            if ticsr{i} in(8,9) then ticsr{i}=.;
            if ticsr{i}=1 then ticsr3=ticsr3+1;
            else if ticsr{i}=5 then ticsr3=ticsr3;
            end;
        end;
    nmiss=nmiss(of ticsr{*});
    if nmiss=8 then ticsr3=.;

    if f1535=1 then ticsr3=ticsr3+2;
    if f1558=1 then ticsr3=ticsr3+1;
    
         * SERIES7;
    ser7_3=0;
    array series7{5} f1631-f1635;
    do i=1 to 5;
        if series7{i}=100-(i*7) then ser7_3=ser7_3+1;
        else ser7_3=ser7_3;
        end;
    nmiss=nmiss(of series7{*});
    if nmiss=5 then ser7_3=.;

    
         * IMMWORDC; *immedicate word recall, max score=10;
    immwrdc3=0;
    array words{11} f1491m1-f1491m11;
    do i=1 to 11;
        if 01<=words{i}<=40 then immwrdc3=immwrdc3+1;
        else immwrdc3=immwrdc3;
        end;
    nmiss=nmiss(of words{*});
    if nmiss=11 then immwrdc3=.;
    
    cogimm3=(ticsr3 + immwrdc3 + ser7_3);
    drop nmiss i;
    end; 

else if proxy3 in(2,3) then do;

         *PCOG1;		
    if f1373 ^in(8,9,.) then pmem3 = (f1373 in(4,5));
    if f1373 ^in(8,9,.) then pjdg3 = (f1373 in(4,5));
    if f1373 ^in(8,9,.) then porg3 = (f1373 in(4,5));

    if pmem3=1 or pjdg3=1 or porg3=1 then  pcog1_3=1;
    else if pmem3=. or pjdg3=. or porg3=. then pcog1_3=.;
    else pcog1_3=0; 

       *pcog2;
    if f1461 ^in(8,9,.) then plost3=(f1461=1);
    if f1462 ^in(8,9,.) then pwand3=(f1462=1);
    if f1463 ^in(8,9,.) then pleft3=(f1463=5);
    if f1464 ^in(8,9,.) then phall3=(f1464=1);

    if plost3=1 or pwand3=1 or pleft3=1 or phall3=1 then  pcog2_3=1;
    else if plost3=. or pwand3=. or pleft3=. or phall3=. then  pcog2_3=.;
    else pcog2_3=0; 
    
    if pcog1_3=1 or pcog2_3=1 then  pcogn3=1;
    else if pcog1_3=. or pcog2_3=. then  pcogn3=.;
    else pcogn3=0;       
    end;

if cogimm3 ne . then cogn3=(0 < cogimm3 <=15);
else if pcogn3 ne . then cogn3=(pcogn3=1);
misscog3=(cogn3=.);

label
    immwrdc3='immediate recall-# correct, w3'
    ser7_3='# correct subtractions, w3'
    ticsr3='tics score: no serial 7 or words, w3'
    cogimm3='cognitive score 2, w3'
    
    cogn3='cognitive impairment w3'
    pcogn3='proxy & cogn imp'
    misscog3='cogn missing w3'
    pcog1_3='proxy cog 1 w3'
    pcog2_3='proxy cog 2 w3'
    
    pmem3='proxy cog memory, w3'
    pjdg3='proxy cog judgement, w3'
    porg3='proxy cog organize, w3'
    
    plost3='proxy cog get lost, w3'
    pwand3='proxy cog wander, w3'
    pleft3='proxy cog be left alone, w3'
    phall3='proxy cog hallucinate, w3'
    ;


 * DEPRESSION;

if f1493 not in(.,8,9) then  depres=(f1493=1);
if f1494 not in(.,8,9) then  effort=(f1494=1);
if f1495 not in(.,8,9) then  sleep=(f1495=1);
if f1496 not in(.,8,9) then  nothappy=(f1496=5);
if f1497 not in(.,8,9) then  lonely=(f1497=1);
if f1498 not in(.,8,9) then  notenjoy=(f1498=5);
if f1499 not in(.,8,9) then  sad=(f1499=1);
if f1500 not in(.,8,9) then  notgetgo=(f1500=1);


cesd8_3 = (depres + effort + sleep + nothappy +
    lonely + notenjoy + sad + notgetgo);

drop depres effort sleep nothappy lonely notenjoy sad notgetgo;

if cesd8_3 ne . then depres3=(cesd8_3>4);
if depres3=. and proxy3 in(2,3) then depres3=0;

label
    cesd8_3 = 'cesd8 score (0-8) w3'
    depres3='depressed, cesd8>4 w3';

